/*
 * Created on Oct 6, 2006
 *
 */
package jPDFViewerSamples.bookmark;

import jPDFViewerSamples.SampleUtil;

import javax.swing.JButton;
import javax.swing.JDialog;
import javax.swing.JLabel;
import javax.swing.JPanel;
import javax.swing.JTextField;

public class AddBookmarkDialog extends JDialog
{

    private JPanel jpContentPane = null;
    private JButton jbOk = null;
    private JButton jbCancel = null;
    private JLabel jlName = null;
    private JLabel jlSourceLabel = null;
    private JLabel jlPageLabel = null;
    private JTextField jtfName = null;
    private JLabel jlSource = null;
    private JLabel jlPage = null;

    /**
     * This method initializes 
     * 
     */
    public AddBookmarkDialog() {
    	super();
    	initialize();
    }

    /**
     * This method initializes this
     * 
     */
    private void initialize() {
        this.setSize(new java.awt.Dimension(307,200));
        this.setModal(true);
        this.setContentPane(getJpContentPane());
        this.setTitle("Add Bookmark");
        getRootPane().setDefaultButton(getJbOk());  		
    }

    /**
     * This method initializes jpContentPane	
     * 	
     * @return javax.swing.JPanel	
     */
    private JPanel getJpContentPane()
    {
        if (jpContentPane == null)
        {
            jlPageLabel = new JLabel("Page:");
            jlPageLabel.setBounds(new java.awt.Rectangle((int)(15 * SampleUtil.getDPIScalingMultiplier()),(int)(75 * SampleUtil.getDPIScalingMultiplier()),(int)(60 * SampleUtil.getDPIScalingMultiplier()),(int)(18 * SampleUtil.getDPIScalingMultiplier())));
            jlSourceLabel = new JLabel("Source:");
            jlSourceLabel.setBounds(new java.awt.Rectangle((int)(15 * SampleUtil.getDPIScalingMultiplier()),(int)(45 * SampleUtil.getDPIScalingMultiplier()),(int)(60 * SampleUtil.getDPIScalingMultiplier()),(int)(18 * SampleUtil.getDPIScalingMultiplier())));
            jlName = new JLabel("Name:");
            jlName.setBounds(new java.awt.Rectangle((int)(15 * SampleUtil.getDPIScalingMultiplier()),(int)(15 * SampleUtil.getDPIScalingMultiplier()),(int)(60 * SampleUtil.getDPIScalingMultiplier()),(int)(18 * SampleUtil.getDPIScalingMultiplier())));
            jpContentPane = new JPanel();
            jpContentPane.setLayout(null);
            jpContentPane.add(getJbOk(), null);
            jpContentPane.add(getJbCancel(), null);
            jpContentPane.add(jlName, null);
            jpContentPane.add(jlSourceLabel, null);
            jpContentPane.add(jlPageLabel, null);
            jpContentPane.add(getJtfName(), null);
            jpContentPane.add(getjlSource(), null);
            jpContentPane.add(getjlPage(), null);
        }
        return jpContentPane;
    }
    
    public JLabel getjlPage()
    {
        if (jlPage == null)
        {
            jlPage = new JLabel("JLabel");
            jlPage.setBounds(new java.awt.Rectangle((int)(80 * SampleUtil.getDPIScalingMultiplier()),(int)(75 * SampleUtil.getDPIScalingMultiplier()),(int)(190 * SampleUtil.getDPIScalingMultiplier()),(int)(18 * SampleUtil.getDPIScalingMultiplier())));
        }
        return jlPage;
    }
    
    public JLabel getjlSource()
    {
        if (jlSource == null)
        {
            jlSource = new JLabel("JLabel");
            jlSource.setBounds(new java.awt.Rectangle((int)(80 * SampleUtil.getDPIScalingMultiplier()),(int)(45 * SampleUtil.getDPIScalingMultiplier()),(int)(190 * SampleUtil.getDPIScalingMultiplier()),(int)(18 * SampleUtil.getDPIScalingMultiplier())));
        }
        return jlSource;
    }

    /**
     * This method initializes jbOk	
     * 	
     * @return javax.swing.JButton	
     */
    public JButton getJbOk()
    {
        if (jbOk == null)
        {
            jbOk = new JButton("Ok");
            jbOk.setBounds(new java.awt.Rectangle((int)(56 * SampleUtil.getDPIScalingMultiplier()),(int)(121 * SampleUtil.getDPIScalingMultiplier()),(int)(65 * SampleUtil.getDPIScalingMultiplier()),(int)(25 * SampleUtil.getDPIScalingMultiplier())));
            jbOk.setMargin(new java.awt.Insets(2,2,2,2));
        }
        return jbOk;
    }

    /**
     * This method initializes jButton	
     * 	
     * @return javax.swing.JButton	
     */
    public JButton getJbCancel()
    {
        if (jbCancel == null)
        {
            jbCancel = new JButton("Cancel");
            jbCancel.setBounds(new java.awt.Rectangle((int)(177 * SampleUtil.getDPIScalingMultiplier()),(int)(121 * SampleUtil.getDPIScalingMultiplier()),(int)(65 * SampleUtil.getDPIScalingMultiplier()),(int)(25 * SampleUtil.getDPIScalingMultiplier())));
            jbCancel.setMargin(new java.awt.Insets(2,2,2,2));
        }
        return jbCancel;
    }

    /**
     * This method initializes jtfName	
     * 	
     * @return javax.swing.JTextField	
     */
    public JTextField getJtfName()
    {
        if (jtfName == null)
        {
            jtfName = new JTextField();
            jtfName.setBounds(new java.awt.Rectangle((int)(80 * SampleUtil.getDPIScalingMultiplier()),(int)(13 * SampleUtil.getDPIScalingMultiplier()),(int)(190 * SampleUtil.getDPIScalingMultiplier()),(int)(22 * SampleUtil.getDPIScalingMultiplier())));
        }
        return jtfName;
    }
}  //  @jve:decl-index=0:visual-constraint="10,10"
