/*
 * Created on Oct 6, 2006
 *
 */
package jPDFViewerSamples.bookmark;

public class BookmarkInfo
{
    private String m_Name;
    private int m_SourceType;
    private String m_Source;
    private int m_PageNumber;
    
    public final static int ST_FILE = 0;
    public final static int ST_URL = 1;

    public BookmarkInfo (String name, String source, int sourceType, int pageNumber)
    {
        m_Name = name;
        m_Source = source;
        m_SourceType = sourceType;
        m_PageNumber = pageNumber;
    }

    public String getName()
    {
        return m_Name;
    }

    public void setName(String name)
    {
        m_Name = name;
    }

    public int getPageNumber()
    {
        return m_PageNumber;
    }

    public void setPageNumber(int pageNumber)
    {
        m_PageNumber = pageNumber;
    }

    public String getSource()
    {
        return m_Source;
    }

    public void setSource(String source)
    {
        m_Source = source;
    }

    public int getSourceType()
    {
        return m_SourceType;
    }
}
