/*
 * Created on Jul 3, 2009
 *
 */
package jPDFViewerSamples.textSearch;

import javax.swing.SwingUtilities;

import com.qoppa.pdfViewer.PDFViewerBean;

public class MyViewerBean extends PDFViewerBean
{
    private TextSearchController m_TextSearch;
    
    /**
     * Override the method that starts the text search so that we can use our custom dialog.
     */
    public void startAdvancedSearch()
    {
        // create the search dialog
        if(m_TextSearch == null)
        {
            m_TextSearch = new TextSearchController (SwingUtilities.getWindowAncestor(this), this);;
        }
        // show the search dialog
        m_TextSearch.showDialog(getDocument());
    }
}
